Arm1.ru

Поиск по тэгу «траблы»

Проблемы с PUT при обновлении CouchDB до 1.1.0

 Сегодня обновили на продакшн-сервере CouchDB до версии 1.1.0. Столкнулись с проблемой - PUT-запросы не работали, возвращали странную ошибку:

[error] => unknown_error
[reason] => function_clause

То есть мы не могли обновить ни один документ в БД, но при этом POST-запросы на создание новых документов вполне себе работали. 

Выяснилось, что при обновлении CouchDB с младшей версии до 1.1.0 в системе остаётся две версии какого-то модуля (может быть это касается нескольких модулей) - старая, и новая. Эти две версии друг с другом конфликтуют.

Решение оказалось простым, хотя и довольно странным. Нужно найти в системе, где хранятся *.beam файлы (в нашем случае это /opt/couchdb), удалить их (если страшно - то можно переместить), после чего вернуться в папку с исходными кодами CouchDB и выполнить "make install" снова.

comment comments
local_offer couchdb траблы